Name:             fusesource-pom
Version:          1.9
Release:          %mkrel 12
Group:            Development/Java
Summary:          Parent POM for FuseSource Maven projects
License:          ASL 2.0
URL:              http://fusesource.com/
Source0:          http://repo1.maven.org/maven2/org/fusesource/fusesource-pom/%{version}/fusesource-pom-%{version}.pom
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:        noarch

BuildRequires:    maven-local

%description
This is a shared POM parent for FuseSource Maven projects

%prep
%setup -c -T
cp %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%pom_remove_plugin :clirr-maven-plugin

# WebDAV wagon is not available in Fedora.
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav-jackrabbit']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.9-12.mga6
+ Revision: 982464
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.9-11.mga6
+ Revision: 976219
- First rebuild of the java stack
- sync package fusesource-pom with fedora
- imported package fusesource-pom

* Wed Oct 15 2014 umeabot <umeabot> 1.9-9.mga5
+ Revision: 747617
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 dmorgan <dmorgan> 1.9-7.mga5
+ Revision: 634661
- Build with xmvn

* Thu Dec 19 2013 dmorgan <dmorgan> 1.9-5.mga4
+ Revision: 558781
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1.9-3.mga4
+ Revision: 453827
- Remove wagon-webdav-jackrabbit from POM

* Fri Jan 11 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 350998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1.9-1.mga3
+ Revision: 325670
- New version

* Tue Sep 18 2012 dmorgan <dmorgan> 1.5-5.mga3
+ Revision: 295975
- Get rid of clirr-maven-plugin by macro

* Thu Sep 13 2012 dmorgan <dmorgan> 1.5-3.mga3
+ Revision: 293326
- Clean spec file

* Thu Dec 29 2011 gil <gil> 1.5-2.mga2
+ Revision: 188537
- changed R on plexus maven-plugin to component-metadata
  applied patch2

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-1.mga2
+ Revision: 127104
- Fix group

  + gil <gil>
    - imported package fusesource-pom


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9-8
- Rebuild to regenerate Maven auto-requires

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-7
- Use Requires: java-headless rebuild (#1067528)

* Thu Aug 15 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9-6
- Update to current packaging guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9-4
- Remove wagon-webdav-jackrabbit from POM
- Resolves: rhbz#911552

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.9-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Sep 20 2012 Marek Goldmann <mgoldman@redhat.com> - 1.9-1
- Upstream release 1.9
- Removed Requires

* Tue Sep  4 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5-5
- Install LICENSE file
- Convert patch to POM macro

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Tomas Radej <tradej@redhat.com> - 1.5-2
- Changed R on plexus-maven-plugin to component-metadata
- Guidelines fixes

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.5-1
- Initial packaging

